/* Wider submenus for menu dropdown */
@media (min-width: 769px) {
    /* Set width of submenu*/
    .et_pb_menu li ul,
    .et_pb_fullwidth_menu li ul {
        width: 25vw !important;
    }
    /* but different for last item to prevent overflow */
    .et_pb_menu .et-menu > li:last-child > ul,
    .et_pb_fullwidth_menu .et-menu > li:last-child > ul {
      right: 0;
      left: auto;
    }

    /* Also override width or hover */
    .et-menu li li a,
    .et_pb_menu li li a,
    .et_pb_fullwidth_menu li li a {
        width: 100% !important;       /* Fill the UL */
        box-sizing: border-box;       /* Keep padding inside width */
        white-space: normal !important;
    }

  /* Submenu: normal text, indented, smaller */
  .sub-menu li {
    white-space: nowrap;
    width: 100%;
    text-transform: none !important;
    font-size: 14px !important;
    text-indent: 2em;
  }



  /* Submenu headings: bold, uppercase, no pointer */
  .sub-menu .menu_heading_item a {
    font-weight: bold !important;
    pointer-events: none;
    text-transform: uppercase !important;
    font-size: 0.94vw !important;
    text-indent: 0;
  }
}

@media (max-width: 768px) {
    /* Mobile submenu headings: bold, uppercase, no pointer */
    .et_mobile_menu li a {
        font-weight: bold !important;
        text-transform: uppercase !important;
        font-size: 3vw !important;
        text-indent: 10px;
    }
    .sub-menu .menu_heading_item a {
      font-weight: bold !important;
      pointer-events: none;
      text-transform: uppercase !important;
      font-size: 3vw !important;
      text-indent: 0;
      opacity: 0.7 !important;
    }
    #fadedMenu_row {
        padding: 0 !important;
    }

    #fadedMenu_row .et_pb_column {
        margin: 0 !important;
    }

}

/***** Collapsible Mobile Menu *****/



/* Icon placeholder for mobile menu toggles */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle {
  width: 44px;
  height: 100%;
  padding: 0 !important;
  max-height: 44px;
  position: absolute;
  right: 0;
  top: 0;
  z-index: 999;
  background: transparent;
  border-bottom: 0;
  text-align: center;
}

/* Ensure parent li is positioned for toggle */
ul.et_mobile_menu > li.menu-item-has-children,
ul.et_mobile_menu > li.page_item_has_children,
ul.et_mobile_menu > li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.menu-item-has-children .sub-menu li.menu-item-has-children {
  position: relative;
}

/* Remove background from mobile menu links */
.et_mobile_menu .menu-item-has-children > a,
.et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children > a {
  background: transparent;
}

/* Hide sub-menus by default */
ul.et_mobile_menu .menu-item-has-children .sub-menu,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu {
  display: none !important;
  visibility: hidden !important;
}

/* Show sub-menu when visible class is added */
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible {
  display: block !important;
  visibility: visible !important;
}

/* SVG icons for open/close */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle .dt-icons,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle .dt-icons {
  top: 10px;
  position: relative;
  fill: #c19f79;
}

/* Hide close icon if submenu is closed */
ul.et_mobile_menu li.menu-item-has-children:not(.dt-open) .mobile-toggle .dt-close-icon,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children:not(.dt-open) .mobile-toggle .dt-close-icon {
  display: none;
}

/* Hide open icon if submenu is open */
ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle .dt-open-icon,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle .dt-open-icon {
  display: none;
}